Package ru.bitel.oss.kernel.entity.common.bean

# Class EntityAttrEmail

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.EntityAttr
ru.bitel.oss.kernel.entity.common.bean.EntityAttrEmail

public class EntityAttrEmail extends EntityAttr
Атрибут/параметр типа email. Чтобы получить контакты используйте методы `getContactList()`, `getSimpleContactList()`, `getAddressList()`. Чтобы изменить - `setContactList(List)` или `addContact(String, String)`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EntityAttrEmail.EmailContact`
  Контакт для EntityAttrEmail.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EntityAttrEmail()`
  ``
  `EntityAttrEmail(int entityId, int entitySpecAttrId)`
  ``
  `EntityAttrEmail(int entityId, int entitySpecAttrId, String name, String address)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EntityAttrEmail`
  `addContact(String name, String address)`
  Добавление контакта в список
  `static void`
  `check(EntityAttrEmail a)`
  `List<String>`
  `getAddressList()`
  Получение списка email без имени контакта и без < и >.
  `List<EntityAttrEmail.EmailContact>`
  `getContactList()`
  Получение списка контактов (email и имя).
  `String`
  `getData()`
  `List<String>`
  `getSimpleContactList()`
  Получение списка строк вида "Иванов Петр Сидорович <ivanov@gmail.com>"
  `static EntityAttrEmail`
  `parse(int entityId, int entitySpecAttrId, String value)`
  `EntityAttrEmail`
  `setContactList(List<EntityAttrEmail.EmailContact> list)`
  Установка списка контактов.
  `void`
  `setData(String data)`
  Для внутреннего использования.
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntityAttr

  `getEntityId, getEntitySpecAttrId, getType, getTypeName, newInstance, setEntityId, setEntitySpecAttrId, setType, setTypeName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntityAttrEmail

    protected EntityAttrEmail()

  - ### EntityAttrEmail

    public EntityAttrEmail(int entityId, int entitySpecAttrId)

  - ### EntityAttrEmail

    public EntityAttrEmail(int entityId, int entitySpecAttrId, String name, String address)

- ## Method Details

  - ### addContact

    public EntityAttrEmail addContact(String name, String address)
    Добавление контакта в список
    Parameters:
      `name` - имя контакта.
      `address` - email-адрес.
    Returns:

  - ### getData

    public String getData()

  - ### setData

    public void setData(String data)
    Для внутреннего использования. Для обычной работы используйте `setContactList(List)` or `addContact(String, String)`
    Parameters:
      `data` -

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### check

    public static void check(EntityAttrEmail a) throws ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getContactList

    public List<EntityAttrEmail.EmailContact> getContactList()
    Получение списка контактов (email и имя).
    Returns:

  - ### setContactList

    public EntityAttrEmail setContactList(List<EntityAttrEmail.EmailContact> list)
    Установка списка контактов.
    Parameters:
      `list` -
    Returns:
      this

  - ### getSimpleContactList

    public List<String> getSimpleContactList()
    Получение списка строк вида "Иванов Петр Сидорович <ivanov@gmail.com>"
    Returns:

  - ### getAddressList

    public List<String> getAddressList()
    Получение списка email без имени контакта и без < и >.
    Returns:

  - ### parse

    public static EntityAttrEmail parse(int entityId, int entitySpecAttrId, String value)